<?php

namespace App\Http\Controllers;
use App\Hizmet;

use Illuminate\Http\Request;
use Brian2694\Toastr\Facades\Toastr;

class HizmetlerController extends Controller
{
    public function hizmetfiyatgetir(Request $request)
    {
        $data = Hizmet::select('fiyat')->where('id', $request->id)->first();
        return response()->json($data);
    }


    public function listele()
    {
        $hizmetler = Hizmet::orderByDesc('id')->paginate(10);
        return view('admin/hizmetler/listele', compact('hizmetler'));
    }

    public function ekle()
    {
        $hizmetler = Hizmet::all();
        return view('admin/hizmetler/ekle', compact('hizmetler'));
    }

    public function kaydet()
    {
        $hizmet = new Hizmet;

        $hizmet->isim = request('isim');
        $hizmet->fiyat = request('fiyat');
        $hizmet->kdv = request('kdv');

        $hizmet->save();


        if ($hizmet) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/hizmetler/listele');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/hizmetler/listele');
           }



    }

    public function duzenle($id)
    {
        $duzenlenecekhizmet = Hizmet::find($id);
        return view('admin.hizmetler.duzenle', compact('duzenlenecekhizmet'));
    }

    public function update(Request $request, $id)
    {

        $hizmet = Hizmet::find($id);
        $hizmet->isim = $request->get('isim');
        $hizmet->fiyat = $request->get('fiyat');
        $hizmet->kdv = $request->get('kdv');

        $hizmet->save();

        if ($hizmet) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/hizmetler/listele');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/hizmetler/listele');
           }
    }


}
