<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Durumlar;
use App\ServisFisi;
use App\SmsSablon;
use App\EmailSablon;
use App\Hatirlatmalar;
use App\Firma;
use Carbon\Carbon;
use App\User;

class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $durumlar=Durumlar::all();
        $servisfislerim=ServisFisi::all();
        $sms_sablonlari = SmsSablon::all();
        $email_sablonlari = EmailSablon::all();


        $tarih = date('m/d/Y', strtotime(Carbon::now('Europe/Istanbul')));

        $hatirlatma = Hatirlatmalar::where('tarih',$tarih)->first();



        $sayi = $servisfislerim->count();

        $servisfisleri = [];
        $i=0;

        foreach($servisfislerim as $servisfisi) {
         if($servisfisi->bakiye($servisfisi->id) > 0){
             $servisfisleri[$i]= $servisfisi;
             $i = $i + 1;
         }
        }

        return view('admin/index',compact('durumlar','servisfisleri','sms_sablonlari','hatirlatma','email_sablonlari'));
    }

    public function test()
    {
$firma = Firma::find(1);

        return view('test',compact('firma'));
    }
}
