<?php

namespace App\Http\Controllers;
use App\ServisFisi;
use App\Cari;
use App\Markalar;
use App\Urunler;
use App\Durumlar;
use App\User;
use App\Hizmet;
use App\YedekParca;
use App\ServisYedekParca;
use App\ServisHizmet;
use App\Tahsilatlar;
use App\SmsSablon;
use App\EmailSablon;
use App\Sms;

use Brian2694\Toastr\Facades\Toastr;



use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class ServisFisiController extends Controller
{
    public function ekle()
    {
        $cariler = Cari::all();
        $urunler = Urunler::all();
        $markalar = Markalar::all();
        $durumlar = Durumlar::all();

        $personeller = User::all();

        return view('admin/servis_fisi/ekle', compact('cariler','urunler','markalar','durumlar','personeller'));
    }

    public function listele()
    {

        $hizmetler_toplam =ServisHizmet::sum('fiyat');
        $yedek_parca_toplam =ServisYedekParca::sum('fiyat');

        $servisfisleri = ServisFisi::orderByDesc('id')->paginate(10);

      //  $servisfisleri = ServisFisi::where(($this->bakiye($this->id)),'>',0)->orderBy('id','desc')->paginate(10);


        $sms_sablonlari = SmsSablon::all();
        $email_sablonlari = EmailSablon::all();


        return view('admin/servis_fisi/listele', compact('servisfisleri','yedek_parca_toplam','sms_sablonlari','email_sablonlari'));

    }

    public function kaydet()
    {
        $servis_fisi = new ServisFisi;

        $servis_fisi->seri = request('seri');
        $servis_fisi->model = request('model');
        $servis_fisi->ariza = request('ariza');
        $servis_fisi->aciklama = request('aciklama');
        $servis_fisi->birlikte_gelenler = request('birliktegelen');
        $servis_fisi->garanti = request('garanti');
        $servis_fisi->personel_id = request('personel');
        $servis_fisi->cari_id = request('cari');
        $servis_fisi->marka_id = request('marka');
        $servis_fisi->urun_id = request('urun');
        $servis_fisi->durum_id = request('durum');
        $servis_fisi->durum_aciklama = request('durum_aciklama');
        $servis_fisi->gorev_durum = "BEKLEMEDE";

        $servis_fisi->save();

       if ($servis_fisi) {
           $smsbilgi=Sms::all();
//-------------------------------------------------------------------------------------------------------



$sms = Sms::find(1);

if($sms != null)
{
$cari = Cari::find(request('cari'));

$parcalanmis_isim = explode (" ",$cari->isim);
$yeni_isim = implode("%20",$parcalanmis_isim);

$gonderilecek_mesaj = "Sayın". "%20".$yeni_isim. "%20servis%20kaydınız%20oluşturulmuştur.";


   $username = $sms->gsm; //
   $password = urlencode($sms->sifre); //

   $url= "https://api.netgsm.com.tr/sms/send/get/?usercode=$username&password=$password&gsmno=$cari->telefon&message=$gonderilecek_mesaj&msgheader=ALIXTRADE&dil=TR";

   $ch = curl_init($url);
   curl_setopt($ch, CURLOPT_RETURNTRANSFER, TRUE);
   curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
   $http_response = curl_exec($ch);
   $http_code = curl_getinfo($ch, CURLINFO_HTTP_CODE);


   if($http_code != 200){
     echo "$http_code $http_response\n";
     return false;
   }
   $balanceInfo = $http_response;
   Toastr::success('Sms Gönderildi', 'Başarılı', ["positionClass" => "toast-top-right"]);

}

//----------------------------------------------------------------
Toastr::success('Servis Fişi Kaydedildi', 'Başarılı', ["positionClass" => "toast-top-right"]);

        return redirect('home/servis_fisi/listele');
       }else{
        Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
        return redirect('home/servis_fisi/listele');
       }


    }

    public function duzenle($id)
    {
        $cariler = Cari::all();
        $urunler = Urunler::all();
        $markalar = Markalar::all();
        $durumlar = Durumlar::all();
        $personeller = User::all();
        $yedekparcalar = YedekParca::all();
        $hizmetler = Hizmet::all();

        $servisyedekparcalar = ServisYedekParca::where('servis_fisi_id',$id)->get();
        $servishizmetleri = ServisHizmet::where('servis_fisi_id',$id)->get();

        $duzenlenecekservis_fisi = ServisFisi::find($id);

        return view('admin.servis_fisi.duzenle', compact('cariler', 'urunler', 'markalar', 'durumlar', 'personeller', 'duzenlenecekservis_fisi','yedekparcalar','servisyedekparcalar','servishizmetleri','hizmetler'));
    }


    public function update(Request $request, $id)
    {


        $servis_fisi = ServisFisi::find($id);

        $servis_fisi->seri = $request->get('seri');
        $servis_fisi->model = $request->get('model');
        $servis_fisi->ariza = $request->get('ariza');
        $servis_fisi->aciklama = $request->get('aciklama');
        $servis_fisi->birlikte_gelenler = $request->get('birliktegelen');
        $servis_fisi->garanti = $request->get('garanti');
        $servis_fisi->personel_id = $request->get('personel');
        $servis_fisi->cari_id = $request->get('cari');
        $servis_fisi->marka_id = $request->get('marka');
        $servis_fisi->urun_id = $request->get('urun');
        $servis_fisi->durum_id = $request->get('durum');
        $servis_fisi->durum_aciklama = $request->get('durum_aciklama');


        if ($request->yedekparca[0] != null) {
    $sayi = count($request->yedekparca);
    for($i=0 ; $i<$sayi ; $i++) {

        $servis_yedek_parca = new ServisYedekParca;

        $servis_yedek_parca->yedek_parca_id = $request->yedekparca[$i];
        $servis_yedek_parca->servis_fisi_id = $id;
        $servis_yedek_parca->fiyat = $request->fiyat[$i];
        $servis_yedek_parca->save();
       }
}

if ($request->hizmet[0] != null) {
    $hizmetsayi = count($request->hizmet);
    for($a=0 ; $a<$hizmetsayi ; $a++) {

        $servis_hizmet = new ServisHizmet;

        $servis_hizmet->hizmet_id = $request->hizmet[$a];
        $servis_hizmet->servis_fisi_id = $id;
        $servis_hizmet->fiyat = $request->hizmetfiyat[$a];
        $servis_hizmet->save();
       }
}

$servis_fisi->save();

if ($servis_fisi) {
    Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
    return redirect('home/servis_fisi/listele');
   }else{
    Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
    return redirect('home/servis_fisi/listele');
   }

    }

    public function yedekparcasil($id)
    {

        ServisYedekParca::find($id)->delete();
        Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);

        return back();
    }
    public function hizmetsil($id)
    {

        ServisHizmet::find($id)->delete();
        Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
        return back();
    }



    public function tahsilatyap()
    {

        $servis_fisi = Servisfisi::find(request('id'));
        $servis_fisleri = Servisfisi::all();

        $tahsilat = new Tahsilatlar;

        $tahsilat->iskonto = request('iskonto');
        $tahsilat->servis_fisi_id = request('id');
        $tahsilat->cari_id = request('cari_id');
        $tahsilat->servis_fisi_tutar = $servis_fisi->bakiye(request('id'));
        $tahsilat->odeme_tutari = request('odeme_tutari');

        $tahsilat->save();

        if ($tahsilat) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/servis_fisi/listele');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/servis_fisi/listele');
           }
    }


    public function filtrele($id)
    {

        $hizmetler_toplam =ServisHizmet::sum('fiyat');
        $yedek_parca_toplam =ServisYedekParca::sum('fiyat');

        $servisfisleri = ServisFisi::where('durum_id',$id)->orderByDesc('id')->paginate(10);

        $sms_sablonlari = SmsSablon::all();

        return view('admin/servis_fisi/listele', compact('servisfisleri','yedek_parca_toplam','sms_sablonlari'));
    }









}
