<?php

namespace App\Http\Controllers;

use App\YedekParca;
use Brian2694\Toastr\Facades\Toastr;
use Illuminate\Http\Request;

class YedekParcalarController extends Controller
{
    public function listele()
    {
        $yedekparcalar = YedekParca::orderByDesc('id')->paginate(10);
        return view('admin/yedek_parcalar/listele', compact('yedekparcalar'));
    }

    public function ekle()
    {
        $yedekparcalar = YedekParca::all();
        return view('admin/yedek_parcalar/ekle', compact('yedekparcalar'));
    }

    public function kaydet()
    {


        $yedek_parca = new YedekParca;

        $yedek_parca->isim = request('isim');
        $yedek_parca->barkod = request('barkod');
        $yedek_parca->alis_fiyati = request('alis');
        $yedek_parca->satis_fiyati = request('satis');
        $yedek_parca->kdv = request('kdv');


        $yedek_parca->save();


        if ($yedek_parca) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/yedek_parcalar/listele');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/yedek_parcalar/listele');
           }


    }

    public function duzenle($id)
    {
        $duzenlenecekyedek_parca = YedekParca::find($id);
        return view('admin.yedek_parcalar.duzenle', compact('duzenlenecekyedek_parca'));
    }

    public function update(Request $request, $id)
    {

        $yedek_parca = YedekParca::find($id);
        $yedek_parca->isim = $request->get('isim');
        $yedek_parca->barkod = $request->get('barkod');
        $yedek_parca->alis_fiyati = $request->get('alis');
        $yedek_parca->satis_fiyati = $request->get('satis');
        $yedek_parca->kdv = $request->get('kdv');

        $yedek_parca->save();

        if ($yedek_parca) {
            Toastr::success('İşlem Başarılı', 'Başarılı', ["positionClass" => "toast-top-right"]);
            return redirect('home/yedek_parcalar/listele');
           }else{
            Toastr::danger('Hata Oluştu', 'HAT!', ["positionClass" => "toast-top-right"]);
            return redirect('home/yedek_parcalar/listele');
           }
    }

    public function fiyatgetir(Request $request)
    {
        $data = YedekParca::select('satis_fiyati')->where('id', $request->id)->first();
        return response()->json($data);
    }

}
