<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->increments('id');
            $table->string('isim');
            $table->string('email')->unique();
            $table->string('email_verified_at')->unique();
            $table->string('password');
            $table->string('telefon');
            $table->string('durum');
            $table->rememberToken();

            $table->integer('yetki_id')->unsigned();

            $table->timestamps();

            $table->foreign('yetki_id')->references('id')->on('yetki_gruplari')->ondelete('cascade');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
