@extends('admin.template')
@section('icerik')

<?php
$string = file_get_contents("ifadeler.json");
$veri = json_decode($string);
?>
    {{ csrf_field() }}

    <div class="container-fluid">
    <div class="row">

        <div class="col-lg-12">
            <div class="card card-primary">
                <div class="card-body">

                    <div class="form-group ">
                        <table id="example" class="table table-bordered table-striped dataTable" role="grid" aria-describedby="example1_info">
                            <thead>
                                <th style="width: 5%">#</th>
                                <th style="width: 25%">{{ $veri->personel_listele_1 }}</th>
                                <th style="width: 25%">{{ $veri->personel_listele_2 }}</th>
                                <th style="width: 25%">{{ $veri->personel_listele_3 }}</th>
                                <th style="width: 8%">{{ $veri->personel_listele_4 }}</th>
                                <th style="width: 10%">{{ $veri->personel_listele_5 }}</th>
                                <th style="width: 5%">{{ $veri->personel_listele_6 }}</th>
                            </thead>
                            <tbody>
                                @foreach ($personeller as $personel)
                                <tr>
                                    <td >{{ $personel->id }}</td>
                                    <td >{{ $personel->isim }}</td>
                                    <td >{{ $personel->email }}</td>
                                    <td >{{ $personel->telefon }}</td>
                                    <td >{{ $personel->durum }}</td>
                                    <td >{{ $personel->created_at->format('d/m/Y') }}</td>
                                    <td >
                                        @if (Auth::user()->yetki->personel_duzenle == 1)
                                        <a href="{{ route('home.personel.duzenle',$personel->id) }}" class='show-modal btn btn-info btn-sm' ><span class='fa fa-eye'></span></a>
                                    @endif
                                </td>
                                </tr>
                                @endforeach
                            </tbody>
                            <tbody>
                                <tbody class="labels">
                                    <tr style="height:10px">
                                        <th class="show hidden" style="width: 2%">#</th>
                                        <th class="show hidden" style="width: 50%">{{ $veri->personel_listele_1 }}</th>
                                        <th class="show hidden" style="width: 40%">{{ $veri->personel_listele_3 }}</th>
                                    </tr>
                                    @foreach ($personeller as $personel)
                                    <tr style="height:10px">
                                        <td class="show hidden" style="background-color: #2cc16a;font-weight: bold;color: #fff;">
                                            <label for={{ $personel->id }}>+</label>
                                            <input type="checkbox" name={{ $personel->id }} id={{ $personel->id }} data-toggle="toggle">
                                        </td >

                                        <td class="show hidden" style="background-color: #2cc16a;font-weight: bold;  color: #fff;"><a title="{{ $personel->isim }}" >{{ \Illuminate\Support\Str::limit($personel->isim, $limit = 10, $end = '...') }}</a></td>
                                        <td class="show hidden" style="background-color: #2cc16a;font-weight: bold;  color: #fff;"><a title="{{ $personel->telefon }}" >{{ \Illuminate\Support\Str::limit($personel->telefon, $limit = 10, $end = '...') }}</a></td>

                                    </tr>
                                    <tbody class="hide" style="display: none;">
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->personel_listele_2 }}</td>
                                            <td  class="show hidden"><a title="{{ $personel->email }}" >{{ \Illuminate\Support\Str::limit($personel->email, $limit = 10, $end = '...') }}</a></td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->personel_listele_4 }}</td>
                                            <td  class="show hidden">{{ $personel->durum }}</td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td  style="text-align:right" class="show hidden">{{ $veri->personel_listele_5 }}</td>
                                            <td  class="show hidden">{{ $personel->created_at->format('d/m/Y') }}</td>
                                        </tr>
                                        <tr>
                                            <td  style="text-align:right" class="show hidden"></td>
                                            <td style="text-align:center" colspan="2"  class="show hidden">
                                        @if (Auth::user()->yetki->personel_duzenle == 1)
                                        <a href="{{ route('home.personel.duzenle',$personel->id) }}" class='show-modal btn btn-info btn-sm' ><span class='fa fa-eye'></span></a>
                                    @endif
                                </td>
                                        </tr>

                                    </tbody>
                                    @endforeach
                                </tbody>
                            </tbody>
                        </table>
                        <?php echo $personeller->render(); ?>

                    </div>
                </div>
            </div>
        </div>
  <!-- /.row -->
</div>
</form>
</div>
@endsection

@section('css')
  <!-- DataTables -->
  <link rel="stylesheet" href="/yonetim/plugins/datatables-bs4/css/dataTables.bootstrap4.css">
  <link rel="stylesheet" href="/yonetim/style.css">
  <link rel="stylesheet" href="/yonetim/tablo_style.css">
@endsection

@section('js')
<!-- DataTables -->
<script src="/yonetim/plugins/datatables/jquery.dataTables.js"></script>
<script src="/yonetim/plugins/datatables-bs4/js/dataTables.bootstrap4.js"></script>

<script>
    $(function () {

      $('#example').DataTable({
        "paging": false,
        "lengthChange": true,
        "searching": false,
        "ordering": false,
        "info": false,
        "autoWidth": false,
        "language":{
                        "sDecimal":        ",",
                        "sEmptyTable":     "Tabloda herhangi bir veri mevcut değil",
                        "sInfo":           "_TOTAL_ kayıttan _START_ - _END_ arasındaki kayıtlar gösteriliyor",
                        "sInfoEmpty":      "Kayıt yok",
                        "sInfoFiltered":   "(_MAX_ kayıt içerisinden bulunan)",
                        "sInfoPostFix":    "",
                        "sInfoThousands":  ".",
                        "sLengthMenu":     "Sayfada _MENU_ kayıt göster",
                        "sLoadingRecords": "Yükleniyor...",
                        "sProcessing":     "İşleniyor...",
                        "sSearch":         "Ara:",
                        "sZeroRecords":    "Eşleşen kayıt bulunamadı",
                        "oPaginate": {
                            "sFirst":    "İlk",
                            "sLast":     "Son",
                            "sNext":     "Sonraki",
                            "sPrevious": "Önceki"
                        },
                        "oAria": {
                            "sSortAscending":  ": artan sütun sıralamasını aktifleştir",
                            "sSortDescending": ": azalan sütun sıralamasını aktifleştir"
                        },
                        "select": {
                            "rows": {
                                "_": "%d kayıt seçildi",
                                "0": "",
                                "1": "1 kayıt seçildi"
                            }
                        }
                    }
      });
    });
  </script>

<script >
    $(document).ready(function() {
    $('[data-toggle="toggle"]').change(function(){
        $(this).parents().next('.hide').toggle();
    });
});
</script>
@endsection
