<?php

use Illuminate\Support\Facades\Route;

Route::get('/', function () {
    return view('index');
});


Route::get('/login', function () {
    return view('auth/login');
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::get('/test', 'HomeController@test')->name('test');
Route::get('/print', 'PrintController@print')->name('print');


Route::post('/sorgula', 'SorgulaController@sorgula')->name('sorgula');
// Route::get('/goster', 'SorgulaController@goster')->name('goster');
Route::get('/goster', function () {
    return view('goster');
});

Route::group(['prefix' => 'home', 'middleware' => 'auth'], function () {

    Route::group(['prefix' => 'servis_fisi', 'middleware' => 'auth'], function () {
        Route::get('ekle', 'ServisFisiController@ekle')->name('home.servis_fisi.ekle')->middleware('servis_fisi_ekle');
        Route::get('listele', 'ServisFisiController@listele')->name('home.servis_fisi.listele')->middleware('servis_fisi_listele');
        Route::post('kaydet', 'ServisFisiController@kaydet')->name('home.servis_fisi.kaydet');
        Route::get('duzenle/{id}', 'ServisFisiController@duzenle')->name('home.servis_fisi.duzenle')->middleware('servis_fisi_duzenle');
        Route::patch('duzenle/{id}/duzenle', 'ServisFisiController@update')->name('home.servis_fisi.update');
        Route::get('yedekparcasil/{id}', 'ServisFisiController@yedekparcasil')->name('home.servis_fisi.yedekparcasil')->middleware('servis_fisi_yedek_parca_sil');
        Route::get('hizmetsil/{id}', 'ServisFisiController@hizmetsil')->name('home.servis_fisi.hizmetsil')->middleware('servis_fisi_hizmet_sil');
        Route::post('tahsilatyap', 'ServisFisiController@tahsilatyap')->name('home.servis_fisi.tahsilatyap')->middleware('servis_fisi_tahsilat');
        Route::get('filtrele/{id}', 'ServisFisiController@filtrele')->name('home.servis_fisi.filtrele')->middleware('servis_fisi_listele');

    });

    Route::group(['prefix' => 'cari', 'middleware' => 'auth'], function () {

        Route::post('kaydet', 'CariController@kaydet')->name('home.cari.kaydet')->middleware('cari_ekle');
        Route::post('duzenle', 'CariController@duzenle')->name('home.cari.duzenle')->middleware('cari_duzenle');
        Route::get('listele', 'CariController@listele')->name('home.cari.listele')->middleware('cari_listele');
        Route::get('servis_fislerim/{id}', 'CariController@servis_fislerim')->name('home.cari.servis_fislerim')->middleware('cari_servis_fisleri');
    });

    Route::group(['prefix' => 'yedek_parcalar', 'middleware' => 'auth'], function () {
        Route::get('ekle', 'YedekParcalarController@ekle')->name('home.yedek_parcalar.ekle')->middleware('yedek_parca_ekle');
        Route::get('listele', 'YedekParcalarController@listele')->name('home.yedek_parcalar.listele')->middleware('yedek_parca_listele');
        Route::post('kaydet', 'YedekParcalarController@kaydet')->name('home.yedek_parcalar.kaydet');
        Route::get('duzenle/{id}', 'YedekParcalarController@duzenle')->name('home.yedek_parcalar.duzenle')->middleware('yedek_parca_duzenle');
        Route::patch('duzenle/{id}/duzenle', 'YedekParcalarController@update')->name('home.yedek_parcalar.update');
    });

    Route::group(['prefix' => 'hizmetler', 'middleware' => 'auth'], function () {
        Route::get('ekle', 'HizmetlerController@ekle')->name('home.hizmetler.ekle')->middleware('hizmet_ekle');
        Route::get('listele', 'HizmetlerController@listele')->name('home.hizmetler.listele')->middleware('hizmet_listele');
        Route::post('kaydet', 'HizmetlerController@kaydet')->name('home.hizmetler.kaydet');
        Route::get('duzenle/{id}', 'HizmetlerController@duzenle')->name('home.hizmetler.duzenle')->middleware('hizmet_duzenle');
        Route::patch('duzenle/{id}/duzenle', 'HizmetlerController@update')->name('home.hizmetler.update');
    });

    Route::group(['prefix' => 'kasa', 'middleware' => 'auth'], function () {

        Route::get('tahsilatlar', 'KasaController@tahsilatlar')->name('home.kasa.tahsilatlar')->middleware('kasa_islemleri');

    });


    Route::group(['prefix' => 'tanimlamalar', 'middleware' => 'auth'], function () {
        Route::get('durumlar', 'TanimlamalarController@durumlar')->name('home.tanimlamalar.durumlar')->middleware('durum_listele');
        Route::get('markalar', 'TanimlamalarController@markalar')->name('home.tanimlamalar.markalar')->middleware('marka_listele');
        Route::get('urunler', 'TanimlamalarController@urunler')->name('home.tanimlamalar.urunler')->middleware('urun_listele');
        Route::get('sms_sablonlari', 'TanimlamalarController@sms_sablonlari')->name('home.tanimlamalar.sms_sablonlari')->middleware('sms_sablon_listele');
        Route::get('email_sablonlari', 'TanimlamalarController@email_sablonlari')->name('home.tanimlamalar.email_sablonlari')->middleware('email_sablon_listele');

        Route::post('durumkaydet', 'TanimlamalarController@durumkaydet')->name('home.tanimlamalar.durumkaydet')->middleware('durum_ekle');
        Route::post('markakaydet', 'TanimlamalarController@markakaydet')->name('home.tanimlamalar.markakaydet')->middleware('marka_ekle');
        Route::post('urunkaydet', 'TanimlamalarController@urunkaydet')->name('home.tanimlamalar.urunkaydet')->middleware('urun_ekle');
        Route::post('sms_sablon_kaydet', 'TanimlamalarController@sms_sablon_kaydet')->name('home.tanimlamalar.sms_sablon_kaydet')->middleware('sms_sablon_ekle');
        Route::post('email_sablon_kaydet', 'TanimlamalarController@email_sablon_kaydet')->name('home.tanimlamalar.email_sablon_kaydet')->middleware('email_sablon_ekle');

        Route::post('markaduzenle', 'TanimlamalarController@markaduzenle')->name('home.tanimlamalar.markaduzenle')->middleware('marka_duzenle');
        Route::post('urunduzenle', 'TanimlamalarController@urunduzenle')->name('home.tanimlamalar.urunduzenle')->middleware('urun_duzenle');
        Route::post('durumduzenle', 'TanimlamalarController@durumduzenle')->name('home.tanimlamalar.durumduzenle')->middleware('durum_duzenle');
        Route::post('sms_sablon_duzenle', 'TanimlamalarController@sms_sablon_duzenle')->name('home.tanimlamalar.sms_sablon_duzenle')->middleware('sms_sablon_duzenle');
        Route::post('email_sablon_duzenle', 'TanimlamalarController@email_sablon_duzenle')->name('home.tanimlamalar.email_sablon_duzenle')->middleware('email_sablon_duzenle');

        Route::group(['prefix' => 'yetki_gruplari', 'middleware' => 'auth'], function () {

            Route::get('ekle', 'TanimlamalarController@yetki_grubu_ekle')->name('home.tanimlamalar.yetki_gruplari.ekle')->middleware('yetki_grubu_ekle');
            Route::get('listele', 'TanimlamalarController@yetki_gruplari')->name('home.tanimlamalar.yetki_gruplari.listele')->middleware('yetki_grubu_listele');
            Route::post('kaydet', 'TanimlamalarController@yetki_gruplari_kaydet')->name('home.tanimlamalar.yetki_gruplari.kaydet');
            Route::get('duzenle/{id}', 'TanimlamalarController@yetki_gruplari_duzenle')->name('home.tanimlamalar.yetki_gruplari.duzenle')->middleware('yetki_grubu_duzenle');
            Route::patch('duzenle/{id}/duzenle', 'TanimlamalarController@yetki_gruplari_update')->name('home.tanimlamalar.yetki_gruplari.update');
        });

    });


    Route::group(['prefix' => 'form', 'middleware' => 'auth'], function () {
        Route::get('kabul/{id}', 'PrintController@kabul')->name('home.form.kabul')->middleware('servis_fisi_kabulform');
        Route::get('teslim/{id}', 'PrintController@teslim')->name('home.form.teslim')->middleware('servis_fisi_teslimform');
    });

    Route::group(['prefix' => 'sms', 'middleware' => 'auth'], function () {

        Route::post('gonder', 'SmsController@gonder')->name('home.sms.gonder')->middleware('servis_fisi_mesaj');

    });

    Route::group(['prefix' => 'email', 'middleware' => 'auth'], function () {

        Route::post('gonder', 'EmailController@gonder')->name('home.email.gonder')->middleware('servis_fisi_mail');

    });

    Route::group(['prefix' => 'ayarlar', 'middleware' => 'auth'], function () {

        Route::get('firma', 'AyarlarController@firma')->name('home.ayarlar.firma')->middleware('ayarlar_firma');
        Route::post('firmaguncelle', 'AyarlarController@firmaguncelle')->name('home.ayarlar.firmaguncelle');

        Route::get('sms', 'AyarlarController@sms')->name('home.ayarlar.sms')->middleware('ayarlar_sms');
        Route::post('smsguncelle', 'AyarlarController@smsguncelle')->name('home.ayarlar.smsguncelle')->middleware('ayarlar_sms');


        Route::get('smssorgula', 'SmsController@smssorgula')->name('home.ayarlar.smssorgula')->middleware('ayarlar_sms');
        Route::patch('sifredegistir', 'AyarlarController@sifredegistir')->name('home.ayarlar.sifredegistir')->middleware('ayarlar_firma');

        Route::post('logo', 'AyarlarController@logo')->name('home.ayarlar.logo')->middleware('ayarlar_firma');

        Route::get('translate', 'AyarlarController@translate')->name('home.ayarlar.translate')->middleware('translate');
        Route::post('translate.guncelle', 'AyarlarController@translate_guncelle')->name('home.ayarlar.translate_guncelle')->middleware('translate');





    });

    Route::group(['prefix' => 'search', 'middleware' => 'auth'], function () {
        Route::post('arama', 'SearchController@search')->name('home.search.arama');
    });

    Route::group(['prefix' => 'hatirlatmalar', 'middleware' => 'auth'], function () {

        Route::post('kaydet', 'HatirlatmalarController@kaydet')->name('home.hatirlatmalar.kaydet')->middleware('hatirlatma_ekle');
        Route::post('duzenle', 'HatirlatmalarController@duzenle')->name('home.hatirlatmalar.duzenle')->middleware('hatirlatma_duzenle');
        Route::get('listele', 'HatirlatmalarController@listele')->name('home.hatirlatmalar.listele');
        Route::post('tamamla', 'HatirlatmalarController@tamamla')->name('home.hatirlatmalar.tamamla');
    });

    Route::group(['prefix' => 'gorevler', 'middleware' => 'auth'], function () {
        Route::get('listele', 'GorevlerController@listele')->name('home.gorevler.listele');
        Route::get('tamamla/{id}', 'GorevlerController@tamamla')->name('home.gorevler.tamamla');

    });

    Route::group(['prefix' => 'personel', 'middleware' => 'auth'], function () {

        Route::get('ekle', 'UserController@ekle')->name('home.personel.ekle')->middleware('personel_ekle');
        Route::get('listele', 'UserController@listele')->name('home.personel.listele');
        Route::post('kaydet', 'UserController@kaydet')->name('home.personel.kaydet');
        Route::get('duzenle/{id}', 'UserController@duzenle')->name('home.personel.duzenle')->middleware('personel_duzenle');
        Route::patch('duzenle/{id}/duzenle', 'UserController@update')->name('home.personel.update');


    });

});

//  ----- AJAX  ----------- //
Route::get('/cariekle', 'CariController@cariekle');
Route::get('/urunekleservis', 'TanimlamalarController@urunekleservis');
Route::get('/markaekleservis', 'TanimlamalarController@markaekleservis');
Route::get('/fiyatgetir', 'YedekParcalarController@fiyatgetir');
Route::get('/hizmetfiyatgetir', 'HizmetlerController@hizmetfiyatgetir');
Route::get('/sms_sablon_getir', 'SmsController@sms_sablon_getir');
Route::get('/email_sablon_getir', 'EmailController@email_sablon_getir');


Route::get('/send_mail', 'EmailController@send_mail');
